API REFERENCE

API: team

Canonical routes for team (from ApiRoutes).

Routes

MethodPathAuth / notes
GET/tenants/{tenantId}/membersBearer Cognito access token (membersList)
PATCH/tenants/{tenantId}/members/{userId}Bearer Cognito access token (memberUpdate)
GET/tenants/{tenantId}/invitationsBearer Cognito access token (invitationsList)
POST/tenants/{tenantId}/invitationsBearer Cognito access token (invitationsCreate)
POST/tenants/{tenantId}/invitations/{invitationId}/revokeBearer Cognito access token (invitationRevoke)
GET/invitations/{token}Bearer Cognito access token (invitationGetByToken)
POST/invitations/{token}/acceptBearer Cognito access token (invitationAccept)

Example

GET https://api.startupcore.com/tenants/{tenantId}/members

Errors

401 UNAUTHORIZED, 403 FORBIDDEN, 403 FEATURE_NOT_ENTITLED, 404 NOT_FOUND, 400 VALIDATION_ERROR.